%define upstream_name    Template-Plugin-DateTime
%define upstream_version 0.06002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    A Template Plugin To Use DateTime Objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Strptime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Template)
BuildArch: noarch

%description
The basic idea to use a DateTime plugin is as follows:

  USE date = DateTime(year = 2004, month = 4, day = 1);

-OR-

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.60.20-11.mga8
+ Revision: 1506220
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.60.20-10.mga7
+ Revision: 1286243
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.60.20-9.mga7
+ Revision: 1166684
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.60.20-8.mga7
+ Revision: 1160348
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.60.20-7.mga6
+ Revision: 1033895
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.60.20-6.mga6
+ Revision: 942613
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.20-5.mga5
+ Revision: 750710
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.20-4.mga5
+ Revision: 686341
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.20-3.mga4
+ Revision: 514882
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.20-2.mga3
+ Revision: 373150
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 0.60.20-1.mga3
+ Revision: 335067
- imported package perl-Template-Plugin-DateTime


* Tue Dec 25 2012 cpan2dist 0.06002-1mga
- initial mageia release, generated with cpan2dist
